Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.referenceable
Class SpyDestinationObjectFactory

    java.lang.Object
      org.jboss.mq.referenceable.SpyDestinationObjectFactory

All Implemented Interfaces:
  ObjectFactory

public class SpyDestinationObjectFactory
extends Object
implements ObjectFactory

This class is used to create instances of of: SpyTopic SpyQueue classes from a javax.naming.Reference instance.

Version:
  $Revision: 1.6 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com)

Constructor Summary
`SpyDestinationObjectFactory()` SpyTopicObjectFactory constructor

Method Summary
`Object` | `getObjectInstance(Object reference, Name name, Context contex, Hashtable properties)` getObjectInstance method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpyDestinationObjectFactory

    public SpyDestinationObjectFactory()

  SpyTopicObjectFactory constructor

Method Detail

### getObjectInstance

    public Object getObjectInstance(Object reference,
                                    Name name,
                                    Context contex,
                                    Hashtable properties)
                             throws Exception

  getObjectInstance method

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Parameters:
    `reference` - Description of Parameter
    `name` - Description of Parameter
    `contex` - Description of Parameter
    `properties` - Description of Parameter
  Returns:
    The ObjectInstance value
  Throws:
    `Exception` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.